Subject: Re: Bonding ALB sends bogus packets

From: Rick Jones <[email-masked]>
Date: Thu, 30 Jul 2009 16:48:28 -0700

Mark Smith wrote:
> 
> ETH_P_LOOP should probably have been avoided, as "LOOP" or "loopback"
> is commonly used to refer to the Ethernet Configuration Testing
> Protocol (google search for "Ethernet Loop protocol"). 

I wonder how that relates to linkloop:

http://sourceforge.net/projects/linkloop/

http://fr2.rpmfind.net/linux/RPM/opensuse/factory/x86_64/usr_share_doc_packages_linkloop_Tree.html

> 
> I'd suggest not using any form of ARP for this purpose. It'd place an
> IPv4 requirement on the bonded interface, and various "empty" ARP
> frames have meaning e.g. duplicate address detection. 802.2 test frames
> or the original Ethernet V2.0 Configuration Testing Protocol have been
> used for this bridge table address refresh purpose in the past.

I can never remember if linkloop uses XID or Test frames :(

rick jones